export declare type QS = {
    [s: string]: string | boolean;
};
/**
 * Simple query string parser.
 *
 * @param {String} query The query string that needs to be parsed.
 * @returns {Object}
 * @api public
 */
export declare function parse(query: string): QS;
