/// <reference types="webpack" />
import * as Webpack from 'webpack';
export declare type ServeOptions = {
    root?: string;
    port?: number;
    environment?: 'development' | 'production';
    aliases?: {
        [module: string]: string;
    };
};
export default function serve(params: ServeOptions): Promise<Webpack.ICompiler | Error>;
