import { Component } from 'preact';
export interface DocumentProps {
    common: any;
    script: any;
    head: any;
    style: any;
    page: any;
    props: any;
}
export default class Document extends Component<DocumentProps, null> {
    static Head: typeof Head;
    static Page: typeof Page;
    static Scripts: typeof Scripts;
    props: DocumentProps;
    getChildContext(): {
        _documentProps: DocumentProps;
    };
    render(): JSX.Element;
}
export declare class Head extends Component<any, never> {
    context: {
        _documentProps?: DocumentProps;
    };
    render(): JSX.Element | null;
}
export declare class Page extends Component<Object, Object> {
    context: {
        _documentProps: DocumentProps;
    };
    render(): JSX.Element;
}
export declare class Scripts extends Component<Object, any> {
    context: {
        _documentProps: DocumentProps;
    };
    render(): JSX.Element;
}
