"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var error_1 = require("./error");
var MultiError = /** @class */ (function (_super) {
    tslib_1.__extends(MultiError, _super);
    function MultiError(errors) {
        var _this = _super.call(this, message(errors)) || this;
        _this.errors = errors;
        return _this;
    }
    return MultiError;
}(error_1.default));
exports.default = MultiError;
function message(errors) {
    return errors
        .map(function (err) {
        return err.message || err;
    })
        .join('; ');
}
