import { BaseError } from 'make-error'

export default class CustomError extends BaseError {
  constructor(err: Error | string, message?: string) {
    let msg = err instanceof Error ? err.toString() : err
    msg = message ? message + '\n  ' + msg : msg
    super(msg)
  }
}
