import * as Evaluate from 'eval'

/**
 * Evaluate the component
 */

export default function evaluate(
  entry: string,
  source: string,
  globals?: { [key: string]: any }
): any | Error {
  let render

  try {
    render = Evaluate(
      source,
      entry /* filename: */,
      globals /* scope: */,
      true /* includeGlobals: */
    )
  } catch (err) {
    return err
  }

  if (render.hasOwnProperty('default')) {
    render = render['default']
  }

  return render
}
