/// <reference types="node" />
import * as http from 'http';
export declare type ServeOptions = {
    redirects?: {
        [module: string]: string;
    };
    aliases?: {
        [module: string]: string;
    };
    environment?: 'development' | 'production';
    root?: string;
    port?: number;
};
export default function serve(params: ServeOptions): Promise<http.Server | Error>;
