import { Component } from 'preact';
import Router from './router';
export declare namespace Link {
    interface Props {
        href: string;
    }
    interface Context {
        router: Router;
    }
}
export default class Link extends Component<Link.Props, never> {
    constructor(props: Link.Props, context: Link.Context);
    onClick: (e: MouseEvent) => void;
    render(): JSX.Element | null;
}
