/// <reference types="webpack" />
import { Compiler, compilation, Plugin } from 'webpack';
export declare namespace Watcher {
    interface Input {
        root: string;
    }
}
export default class Watcher implements Plugin {
    private readonly input;
    constructor(input: Watcher.Input);
    find(compilation: compilation.Compilation): Promise<void | Error>;
    apply(compiler: Compiler): void;
}
