"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var flatten = require("lodash/flatten");
var uniq = require("lodash/uniq");
var globby = require("globby");
function Glob(root) {
    var patterns = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        patterns[_i - 1] = arguments[_i];
    }
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var filegroups;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, Promise.all(patterns.map(function (pattern) {
                        // TODO: will globby throw?
                        return globby(pattern, {
                            absolute: true,
                            cwd: root,
                            dot: false,
                            ignore: ['**/node_modules/**', 'testdata/']
                        });
                    }))];
                case 1:
                    filegroups = _a.sent();
                    return [2 /*return*/, uniq(flatten(filegroups))];
            }
        });
    });
}
exports.default = Glob;
