import * as ts from 'typescript';
/**
 * Typescript interface
 */
export declare namespace Typescript {
    interface Input {
        root: string;
        path: string;
        source: string;
        target: 'browser' | 'server';
        transformers?: ts.CustomTransformers;
    }
}
/**
 * Transpile function
 */
export default function transpile(input: Typescript.Input): ts.TranspileOutput | Error;
