import { loader } from 'webpack'

export default function(
  this: loader.LoaderContext,
  source: string,
  _sourceMap: string
) {
  this.cacheable()

  this.callback(
    null,
    `
    if (!window.Promise) window.Promise = require('promise-polyfill');
    if (!window.fetch) window.fetch = require('unfetch').default;
    ${source}
  `,
    undefined
  )
}
